Name:           maui-mauikit
Version:        1.2.2
Release:        1%{?dist}
License:        LGPLv3
Summary:        Kit for developing Maui Apps
Url:            https://invent.kde.org/maui/mauikit
Source0:        https://download.kde.org/stable/maui/mauikit/%{version}/mauikit-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Xml)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5SyntaxHighlighting)
BuildRequires:  extra-cmake-modules
BuildRequires:  hicolor-icon-theme
BuildRequires:  kf5-plasma-devel

Requires: kf5-kirigami
Requires: applet-window-buttons



%description
Kit for developing MAUI Apps.
MauiKit is a set of utilities and "templated" controls 
based on Kirigami and QCC2 that follow the ongoing work on the Maui HIG.
It let you quickly create a Maui application and 
access utilities and widgets shared amoing the other Maui apps.

%package devel
Summary:        MauiKit development headers
Requires:       %{name} = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}

%description devel
Required headers to build components based
on the MauKit framework.


%prep
%setup -q -n mauikit-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install


%files
%license LICENSE
%{_kf5_qmldir}/QtQuick/Controls.2/maui-style/
%{_kf5_qmldir}/org/mauikit/
%{_kf5_libdir}/libMauiKit.so

%files devel
%doc README.md
%{_includedir}/MauiKit/Core/*.h
%{_libdir}/cmake/MauiKit/
%{_kf5_qmldir}/org/mauikit/controls/csd/libappletdecoration/config-decoration.h
%{_kf5_qmldir}/org/mauikit/controls/libs/appview.h

%changelog
* Sun May 09 2021 Onuralp SEZER <thunderbirdtr@fedoraproject.org> -1.2.2-1
- initial package